GDB (xrefs)

Functions
py-stopevent.c File Reference
`#include "defs.h"`
`#include "py-stopevent.h"`

Go to the source code of this file.

## Functions
gdbpy_ref | create_stop_event_object (PyTypeObject *py_type)
int | emit_stop_event (struct bpstats *bs, enum gdb_signal stop_signal)

## Function Documentation

## ◆ create_stop_event_object()

gdbpy_ref create_stop_event_object | ( | PyTypeObject * | py_type | ) |

Definition at line 24 of file py-stopevent.c.

References create_thread_event_object().

Referenced by create_breakpoint_event_object(), create_signal_event_object(), and emit_stop_event().

## ◆ emit_stop_event()

int emit_stop_event | ( | struct bpstats * | bs,
|  | enum gdb_signal | stop_signal
| ) |  |

Definition at line 37 of file py-stopevent.c.

References bpstats::breakpoint_at, create_breakpoint_event_object(), create_signal_event_object(), create_stop_event_object(), evpy_emit_event(), evregpy_no_listeners_p(), gdb_py_events, gdb::ref_ptr< T, Policy >::get(), if(), bpstats::next, breakpoint::py_bp_object, and gdb::ref_ptr< T, Policy >::reset().

Referenced by python_on_normal_stop().